/**
 * Created on Jun 18, 2005
 * $id:  $
 */
package org.jvnet.lookout.ui.core.tree;

import java.io.Serializable;

import org.eclipse.core.runtime.IAdaptable;

abstract public class TreeObject implements IAdaptable, Serializable {
    
    private String name;
    private TreeParent parent;
    
    public TreeObject() {
        this("");
    }
    
    public TreeObject(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setParent(TreeParent parent) {
        this.parent = parent;
    }

    public TreeParent getParent() {
        return parent;
    }

    public String toString() {
        return getName();
    }

    public Object getAdapter(Class key) {
        return null;
    }        
}
